import { JSONPath } from 'vscode-json-languageservice';
import { JSONCompletionItem } from 'vscode-json-languageservice/lib/umd/jsonContributions';
import { RequestContext } from '../../RequestContext';
import { JSONCompletionProvider } from '../JSONCompletionProvider';
import { GetThemeBlockNames, GetThemeBlockSchema } from '../../JSONContributions';
/**
 * The PresetsBlockTypeCompletionProvider offers value completions of the
 * `presets.[](recursive .blocks.[].type)` keys inside section and theme block `{% schema %}` tags.
 *
 * @example
 * {% schema %}
 * {
 *   "presets": [
 *     {
 *       "blocks": [
 *         { "type": "█" },
 *       ]
 *     },
 *   ]
 * }
 * {% endschema %}
 */
export declare class PresetsBlockTypeCompletionProvider implements JSONCompletionProvider {
    private getThemeBlockNames;
    private getThemeBlockSchema;
    private uriPatterns;
    constructor(getThemeBlockNames: GetThemeBlockNames, getThemeBlockSchema: GetThemeBlockSchema);
    completeValue(context: RequestContext, path: JSONPath): Promise<JSONCompletionItem[]>;
}
