import { JSONPath } from 'vscode-json-languageservice';
import { JSONCompletionItem } from 'vscode-json-languageservice/lib/umd/jsonContributions';
import { RequestContext } from '../../RequestContext';
import { JSONCompletionProvider } from '../JSONCompletionProvider';
import { GetTranslationsForURI } from '../../../translations';
/**
 * The PresetsSettingsPropertyCompletionProvider offers property completions of the
 * `presets.[].settings.[]` objects inside section and theme block `{% schema %}` tags.
 *
 * @example
 * {% schema %}
 * {
 *   "presets": [
 *     {
 *       "settings": [
 *         { "█" },
 *       ]
 *     },
 *   ]
 * }
 * {% endschema %}
 */
export declare class PresetsSettingsPropertyCompletionProvider implements JSONCompletionProvider {
    getDefaultSchemaTranslations: GetTranslationsForURI;
    private uriPatterns;
    constructor(getDefaultSchemaTranslations: GetTranslationsForURI);
    completeProperty(context: RequestContext, path: JSONPath): Promise<JSONCompletionItem[]>;
}
